Module org.firebirdsql.jaybird
Package org.firebirdsql.gds.ng

# Interface AbstractAttachProperties.PropertyUpdateListener

Enclosing class:
  AbstractAttachProperties<T extends IAttachProperties<T>>

@InternalApi public static interface AbstractAttachProperties.PropertyUpdateListener
Property update listener. This interface is only for internal use within Jaybird.

## Method Summary

Modifier and Type
Method
Description
`void`
`afterUpdate(ConnectionProperty connectionProperty, Object newValue)`
`void`
`beforeUpdate(ConnectionProperty connectionProperty, Object newValue)`

## Method Details

### beforeUpdate

void beforeUpdate(ConnectionProperty connectionProperty, Object newValue)

### afterUpdate

void afterUpdate(ConnectionProperty connectionProperty, Object newValue)